varying vec2 		texcoord;
uniform sampler2D 	tex;
uniform vec2		fresnel,
			spec;

void main()
{
	float alpha=texture2D(tex,texcoord.st).a;

	// convert normal to eye space
	gl_FragColor.r=spec.x;
	gl_FragColor.g=spec.y*alpha;
	gl_FragColor.b=fresnel.x;
	gl_FragColor.a=fresnel.y*alpha;
}
